package com.payments.core.sdktest.activities;

import android.content.Context;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import com.payments.core.common.enums.CoreMode;
import com.payments.core.sdktest.R;

public class SettingsFragment extends Fragment implements PreferenceFragment.SettingsListener {
	private MainActivity mainActivity;
	private android.support.v4.app.FragmentManager manager;
	private PreferenceFragment preference;

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container,
							 Bundle savedInstanceState) {
		View view = inflater.inflate(R.layout.fragment_settings,
				container, false);
		manager = getFragmentManager();
		preference = new PreferenceFragment();
		preference.setListener(this);
		manager.beginTransaction().replace(R.id.content_frame, preference).commit();
		return view;
	}

	@Override
	public void getTerminalSettings(Context context, String terminalId, String secret, CoreMode coreMode) {
		mainActivity.getSettings(context, terminalId, secret, coreMode);
	}

	public void setPaymentFragment(MainActivity paymentFragment) {
		this.mainActivity = paymentFragment;
	}

	@Override
	public void onHiddenChanged(boolean hidden) {
		super.onHiddenChanged(hidden);

		if(!hidden && preference != null){
			preference.checkFeatureCloseBatchAvailability();
		}
	}
}
