package com.payments.core.sdktest.adapter;


import android.content.Context;
import android.graphics.Color;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import com.payments.core.sdktest.R;
import com.payments.core.sdktest.common.SimplePojo;

import java.util.List;


public class CoreDetailRecyclerAdapter extends RecyclerView.Adapter<CoreDetailRecyclerAdapter.CoreDetailViewHolder> {
	private Context context;
	private List<SimplePojo> details;

	public CoreDetailRecyclerAdapter(Context context, List<SimplePojo> details) {
		this.context = context;
		this.details = details;
	}

	@Override
	public CoreDetailViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
		return new CoreDetailViewHolder(LayoutInflater.from(context).inflate(R.layout.item_core_detail, null));
	}

	@Override
	public void onBindViewHolder(CoreDetailViewHolder holder, int position) {
		SimplePojo item = details.get(position);

		holder.itemDetailLabel.setText(item.getResourceID());
		holder.itemDetailValue.setText(item.getDescription());

		if (item.getResourceID() == R.string.receipt_label_description) {
			if (item.getDescription().trim().equals("APPROVAL")) {
				holder.itemDetailValue.setTextColor(Color.parseColor("#4CAE4E"));

			} else {
				holder.itemDetailValue.setTextColor(Color.parseColor("#C0202C"));

			}
		} else if (item.getResourceID() == R.string.receipt_label_code) {
			if (item.getDescription().equals("A")) {
				holder.itemDetailValue.setTextColor(Color.parseColor("#4CAE4E"));

			} else {
				holder.itemDetailValue.setTextColor(Color.parseColor("#C0202C"));

			}
		}
	}

	@Override
	public int getItemCount() {
		return details.size();
	}

	protected class CoreDetailViewHolder extends RecyclerView.ViewHolder {
		private TextView itemDetailLabel, itemDetailValue;

		public CoreDetailViewHolder(View itemView) {
			super(itemView);

			itemDetailLabel = (TextView) itemView.findViewById(R.id.item_core_detail_label);
			itemDetailValue = (TextView) itemView.findViewById(R.id.item_core_detail_value);
		}
	}
}
