package com.payments.core.sdktest.adapter;

import android.app.Activity;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import com.payments.core.sdktest.R;
import com.payments.core.sdktest.common.RowItem;

import java.util.List;

/**
 * This class is used with listview
 */
public class CustomListViewAdapter extends ArrayAdapter<RowItem> {

	private Context context;

	public CustomListViewAdapter(Context context, int resourceId,
								 List<RowItem> items) {
		super(context, resourceId, items);
		this.context = context;
	}

	/**
	 * private view holder class
	 */
	static class ViewHolder {
		ImageView imageView;
		TextView txtTitle;
		TextView txtDesc;
		TextView txtTime;
		TextView txtDescRight;
	}

	public View getView(int position, View convertView, ViewGroup parent) {
		ViewHolder holder = null;
		RowItem RowItemSongs = getItem(position);

		LayoutInflater mInflater = (LayoutInflater) context
				.getSystemService(Activity.LAYOUT_INFLATER_SERVICE);
		if (convertView == null) {
			convertView = mInflater.inflate(R.layout.row, null);
			holder = new ViewHolder();
			holder.txtDesc= (TextView) convertView
					.findViewById(R.id.rowDesc);
			holder.txtTime = (TextView) convertView
					.findViewById(R.id.rowTime);
			holder.txtTitle = (TextView) convertView
					.findViewById(R.id.rowTitle);
			holder.imageView = (ImageView) convertView
					.findViewById(R.id.icon);
			holder.txtDescRight= (TextView) convertView
					.findViewById(R.id.rowDescRight);
			convertView.setTag(holder);
		} else
			holder = (ViewHolder) convertView.getTag();

		holder.txtTime.setText(RowItemSongs.getTime());
		holder.txtDesc.setText(RowItemSongs.getDesc());
		holder.txtTitle.setText(RowItemSongs.getTitle());
		holder.txtDescRight.setText(RowItemSongs.getDescRight());
		holder.imageView.setImageDrawable(RowItemSongs.getImageId());

		return convertView;
	}
}
