package com.payments.core.sdktest.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.payments.core.sdktest.R;
import com.payments.core.sdktest.common.SimplePojo;

import java.util.List;


public class SimpleSpinnerAdapter extends BaseAdapter{
    private List<SimplePojo> items;
    private LayoutInflater inflater;

    public SimpleSpinnerAdapter(Context context, List<SimplePojo> items) {
        this.items = items;
        this.inflater = LayoutInflater.from(context);
    }

    @Override
    public int getCount() {
        return items.size();
    }

    @Override
    public Object getItem(int index) {
        return items != null ? items.get(index) : null;
    }

    @Override
    public long getItemId(int index) {
        return items.get(index).getLongID() != null ? items.get(index).getLongID() : index;
    }

    @Override
    public View getView(int index, View view, ViewGroup viewGroup) {
        if(view == null){
            view = inflater.inflate(R.layout.item_simple_spinner, null);
        }

        SimplePojo item = items.get(index);

        TextView textDescription = (TextView)view.findViewById(R.id.item_simple_spinner_description);

        textDescription.setText(item.getDescription());
        view.setTag(item);

        return view;
    }

    @Override
    public boolean equals(Object obj) {
        if(obj == null || !(obj instanceof SimpleSpinnerAdapter)){
            return false;
        }

        List<SimplePojo> objList = ((SimpleSpinnerAdapter)obj).items;

        if((items != null && objList == null) || (items == null && objList != null) ||
                (items.isEmpty() && !objList.isEmpty()) || (!items.isEmpty() && objList.isEmpty()) || items.size() != objList.size()){
            return false;
        }

        for(int index = 0; index < items.size(); index++){
            if(!items.get(index).getDescription().equals(objList.get(index).getDescription())){
                return false;
            }
        }

        return true;
    }
}
