package com.payments.core.sdktest.common;

import java.io.Serializable;

public class SimplePojo implements Serializable{

    private Long longID;
    private int resourceID;
    private String stringID;
    private String description;

    public SimplePojo(String description, Long longID) {
        this(description, longID, null, 0);
    }

    public SimplePojo(String description, String stringID) {
        this(description, null, stringID, 0);
    }

    public SimplePojo(int resourceID, String description){
        this(description, null, null, resourceID);
    }

    public SimplePojo(String description, Long longID, String stringID, int resourceID) {
        this.longID = longID;
        this.stringID = stringID;
        this.description = description;
        this.resourceID = resourceID;
    }

    @Override
    public boolean equals(Object obj) {
        if(obj != null && obj instanceof SimplePojo){
            SimplePojo simplePojo = (SimplePojo)obj;

            if((simplePojo.longID != null && this.longID == null) || (simplePojo.longID == null && this.longID != null) ||
                    (simplePojo.stringID != null && this.stringID == null) || (simplePojo.stringID == null && this.stringID != null) ||
                    (simplePojo.description != null && this.description == null) || (simplePojo.description == null && this.description != null)){
                return false;
            }

            if(this.longID != null && this.longID != simplePojo.longID){
                return false;
            }

            if(this.stringID != null && !this.stringID.equals(simplePojo.stringID)){
                return false;
            }

            if(this.description != null && !this.description.equals(simplePojo.description)){
                return false;
            }

            return true;
        }

        return false;
    }

    public Long getLongID() {
        return longID;
    }

    public void setLongID(Long longID) {
        this.longID = longID;
    }

    public String getStringID() {
        return stringID;
    }

    public void setStringID(String stringID) {
        this.stringID = stringID;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public int getResourceID() {
        return resourceID;
    }

    public void setResourceID(int resourceID) {
        this.resourceID = resourceID;
    }
}
